Subject: Re: bug#23131: switch-to-buffer-other-frame problem

From: Juri Linkov <[email-masked]>
Date: Fri, 01 Apr 2016 22:49:32 +0300

>>> If, in this situation, you type C-x b, Emacs won't offer you sample.txt
>>> as completion either.  Ditto for ‘switch-to-buffer-other-window’.
>>
>> I'd say that replication of (arguably questionable) behaviour doesn't
>> justify it.
>
> We'll have to wait until the respective author(s) explain the reasons
> for the change.
>
>>> It's
>>> difficult to say what the correct behavior should be.  I never use the
>>> buffer switching commands, so I have no preference.  But I suppose that
>>> some people would complain if C-x b offered them the buffer already
>>> shown in the selected window as possible completion.
>>
>> Well, Eli Zaretski said of this (I'd emailed him first) "Yes, it's a
>> feature: Emacs doesn't offer you a buffer that is already displayed in
>> an existing window.  This was introduced in Emacs 24."
>
> IIUC it was introduced in Emacs 23.
>
>> So it is new behaviour.
>
> Relatively so, since I can reproduce it with a seven years old build.
> If I'm not mistaken the change is by Juri Linkov from 2008-04-22.
>
>> Therefore: 1) was it introduced deliberately? If so, why? (if the code
>> was the code made more complex by introducing a special case rather
>> than simplifiying it, doubly why?)
>>
>> And: 2) this behaviour is not documented. My understanding is that
>> documentation omissions are considered bugs.
>
> Juri, what do you think?

This change was discussed here where you can see all arguments pro and contra:
http://thread.gmane.org/gmane.emacs.devel/93054/focus=95497